Bug 492251

Summary: Display messed up
Product: [Fedora] Fedora Reporter: Juan Pablo Giménez <jpg>
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 12CC: adloconwy+rhbug, airlied, awilliam, bskeggs, mcepl, trever
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: card_NV67
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1195404 (view as bug list) Environment:
Last Closed: 2010-12-05 01:58:41 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Xorg log
none
booting in runlevel 3 with nouveau.modeset=1 drm.debug=15
none
messages file for runlevel 3 nouveau.modeset=1 drm.debug=15 none

Description Juan Pablo Giménez 2009-03-26 01:10:57 EDT
Created attachment 336753 [details]
Xorg log

Description of problem:

I see only an small part of the gdm login screen, there are black lines interlaced and the image repeated three times horizontally...

Version-Release number of selected component (if applicable):
rawhide fully updated
xorg-x11-drv-nouveau-0.0.12-10.20090310git8f9a580.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. boot
2. gdm will be messed up...
  
Actual results:
Display is useless

Expected results:
1280x800 resolution

Additional info:
00:12.0 VGA compatible controller: nVidia Corporation GeForce 7150M (rev a2)
Comment 1 Adam Williamson 2009-03-27 16:34:04 EDT
Does it seem to be actually functioning - i.e. can you log in if you work 'blind'? Do you see a mouse pointer moving around if you move your mouse?

What happens if you try the KMS test? https://fedoraproject.org/wiki/QA:Testcase_nouveau_kms
Comment 2 Ben Skeggs 2009-04-09 01:05:11 EDT
Any update here?  Also, it'll be worth updating to the latest packages and seeing if this is fixed, there's been a number of changes to pre-G80 modesetting since the version you tested.
Comment 3 Adam Williamson 2009-04-17 14:34:27 EDT
if you were using the test day live CD, btw, you could test with F11 Beta or Snapshot to get a more up-to-date look.
Comment 4 Juan Pablo Giménez 2009-06-01 14:42:25 EDT
Update,
  Only works on 4x3 resolutions, 800x600, 1024x768... not widescreen, 1280x800
Comment 5 Adam Williamson 2009-06-01 16:03:15 EDT
Can you please confirm exactly what Fedora 11 image you're testing with for comment #4?
Comment 6 Matěj Cepl 2009-06-01 17:59:31 EDT
Looks interesting

bradford:~$ checkXorgLog 'https://bugzilla.redhat.com/attachment.cgi?id=336753'
(WW) NOUVEAU(0): TMDS table script pointers not stubbed
(EE) NOUVEAU(0): ========== misaligned reg 0x001020FB ==========
(EE) NOUVEAU(0): ========== misaligned reg 0x001020FB ==========
(EE) NOUVEAU(0): ========== unknown reg 0x0077FFF4 ==========
(EE) NOUVEAU(0): ========== unknown reg 0x0077FFF8 ==========
(EE) NOUVEAU(0): ========== unknown reg 0x0077FFFC ==========
(WW) NOUVEAU(0): Unknown vendor-specific block f
[...]
bradford:~$
Comment 7 Juan Pablo Giménez 2009-06-02 08:35:26 EDT
Rawhide, fully updated, kernel 2.6.29.4-167.fc11.i586 tested with and without nouveau.modeset...
Comment 8 Bug Zapper 2009-06-09 08:38:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Juan Pablo Giménez 2009-10-12 03:09:13 EDT
* Testing first with F12 snap2, still failing
* Rawhide fully updated, failing
* Tested with a dualhead setup... works on the external monitor! a 20" samsung LCD panel

Digging into the problem I found than KMS (or xorg nouveau driver) is setting a 1280x800x60.0, but LVDS-0 only works fine on 50.0... nvidia proprietary drivers on f11 report this,

[jpg@lisa ~]$ xrandr 
Screen 0: minimum 320 x 240, current 1280 x 800, maximum 1280 x 800
default connected 1280x800+0+0 0mm x 0mm
   1280x800       50.0* 
 
Can I set KMS mode? something like with the vga=... kernel parameter...
Can I disable modeset (nouveau.modeset) and instruct X to use the proper modeset?

thanks...
Comment 10 Juan Pablo Giménez 2009-10-12 03:13:36 EDT
BTW, my screen looks exactly like the screenshoots uploaded here, https://bugzilla.redhat.com/show_bug.cgi?id=408421
Comment 11 Ben Skeggs 2009-10-12 03:36:27 EDT
I'm going to need to see new logs.  What would be useful is if you could boot with "drm.debug=15 3", then run "dmesg > dmesg.log" and upload the dmesg.log here.

Also worth attaching /var/log/messages too, as the debugging will overflow the dmesg buffer and miss the start of the init process.
Comment 12 Juan Pablo Giménez 2009-10-12 11:32:05 EDT
Created attachment 364480 [details]
booting in runlevel 3 with nouveau.modeset=1 drm.debug=15
Comment 13 Juan Pablo Giménez 2009-10-12 11:37:29 EDT
Created attachment 364484 [details]
messages file for runlevel 3 nouveau.modeset=1 drm.debug=15
Comment 14 Adam Williamson 2009-10-13 16:04:33 EDT
you can't trust refresh rates reported by the NVIDIA driver, in all cases; in some situations it futzes with them to use them as a storage variable for its MetaModes thing (yes, this is incredibly janky). See:

http://us.download.nvidia.com/XFree86/Linux-x86/1.0-9755/README/appendix-g.html

"will look identical to the XRandR or XF86VidMode X extensions, because they have the same total size (3200x1200), and nvidia-settings would not be able to use XRandR to switch between these MetaModes. To work around this limitation, the NVIDIA X driver "lies" about the refresh rate of each MetaMode, using the refresh rate of the MetaMode as a unique identifier."

That may be what you're seeing, here.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Trever Adams 2009-10-15 19:54:17 EDT
I am experiencing similar problems as reporter of bug #408421. I should mention that this problem still exists for me in rawhide.
Comment 16 Matěj Cepl 2009-11-05 13:23:38 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 17 Juan Pablo Giménez 2009-11-27 11:48:44 EST
Still present on F12 final release...
Comment 18 Trever Adams 2010-03-26 15:30:03 EDT
This problem still exists in the 13 Alpha install. I will be trying it with the updates to 13 since the Alpha release. Would the owner mind marking this as Release: 13 instead of 11?
Comment 19 Adam Williamson 2010-03-26 15:41:24 EDT
we can set it to 12, at least, as Juan has said that. Trever, do you have the same hardware as Juan?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 20 Trever Adams 2010-03-27 04:04:54 EDT
Yes, at least the graphics chip. In F13 (current as of March 16, 2010), nouveau doesn't start, it tries repeatedly and fails. That at least means people won't try it to see crazy garbage. In the Alpha disc, it does the exact same thing as before, corrupted display.
Comment 21 Bug Zapper 2010-11-04 07:25:08 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2010-12-05 01:58:41 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 23 adlo 2015-02-23 11:04:10 EST
This problem still exists in Fedora 21.